# Terrain
[Components]

Some details on the terrain component. More...

Collaboration diagram for Terrain:

## Classes

class | Ogre::Terrain
| The main containing class for a chunk of terrain. More...
class | Ogre::TerrainGlobalOptions
| Options class which just stores default options for the terrain. More...
class | Ogre::TerrainGroup
| Helper class to assist you in managing multiple terrain instances that are connected to each other. More...
class | Ogre::TerrainLayerBlendMap
| Class exposing an interface to a blend map for a given layer. More...
struct | Ogre::TerrainLayerSamplerElement
| Information about one element of a sampler / texture within a layer. More...
struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
struct | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
class | Ogre::TerrainMaterialGeneratorA
| A TerrainMaterialGenerator which can cope with normal mapped, specular mapped terrain. More...
class | Ogre::TerrainPagedWorldSection
| A world section which includes paged terrain. More...
class | Ogre::TerrainPaging
| This class is the 'core' class for paging terrain, that will integrate with the larger paging system and provide the appropriate utility classes required. More...
class | Ogre::TerrainQuadTreeNode
| A node in a quad tree used to store a patch of terrain. More...

## Typedefs

typedef vector < TerrainLayerBlendMap * > ::type | Ogre::TerrainLayerBlendMapList
typedef vector < TerrainLayerSamplerElement > ::type | Ogre::TerrainLayerSamplerElementList
typedef vector < TerrainLayerSampler >::type | Ogre::TerrainLayerSamplerList
typedef SharedPtr < TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr

## Enumerations

enum | Ogre::TerrainLayerSamplerSemantic { Ogre::TLSS_ALBEDO = 0, Ogre::TLSS_NORMAL = 1, Ogre::TLSS_HEIGHT = 2, Ogre::TLSS_SPECULAR = 3 }
| Enumeration of types of data that can be read from textures that are specific to a given layer. More...

## Detailed Description

Some details on the terrain component.

## Typedef Documentation

typedef vector<TerrainLayerBlendMap*>::type Ogre::TerrainLayerBlendMapList

Definition at line 190 of file OgreTerrainLayerBlendMap.h.

typedef vector<TerrainLayerSamplerElement>::type Ogre::TerrainLayerSamplerElementList

Definition at line 96 of file OgreTerrainMaterialGenerator.h.

typedef vector<TerrainLayerSampler>::type Ogre::TerrainLayerSamplerList

Definition at line 119 of file OgreTerrainMaterialGenerator.h.

typedef SharedPtr<TerrainMaterialGenerator> Ogre::TerrainMaterialGeneratorPtr

Definition at line 388 of file OgreTerrainMaterialGenerator.h.

## Enumeration Type Documentation

enum Ogre::TerrainLayerSamplerSemantic

Enumeration of types of data that can be read from textures that are specific to a given layer.

Notice that global texture information such as shadows and terrain normals are not represented here because they are not a per-layer attribute, and blending is stored in packed texture structures which are stored separately.

Enumerator:

  TLSS_ALBEDO | Albedo colour (diffuse reflectance colour).
  TLSS_NORMAL | Tangent-space normal information from a detail texture.
  TLSS_HEIGHT | Height information for the detail texture.
  TLSS_SPECULAR | Specular reflectance.

Definition at line 56 of file OgreTerrainMaterialGenerator.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53